Bug 1607583 - MDS handles inter-MDS write locks inefficiently during create/remove workflows on a common directory
Summary: MDS handles inter-MDS write locks inefficiently during create/remove workflow...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.0
Hardware: All
OS: All
low
low
Target Milestone: z5
: 3.0
Assignee: Patrick Donnelly
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-23 19:23 UTC by Patrick Donnelly
Modified: 2018-08-13 20:58 UTC (History)
6 users (show)

Fixed In Version: RHEL: ceph-12.2.4-39.el7cp Ubuntu: ceph_12.2.4-44redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-09 18:27:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 24696 None None None 2018-07-23 19:23:13 UTC
Red Hat Product Errata RHBA-2018:2375 None None None 2018-08-09 18:28:24 UTC

Description Patrick Donnelly 2018-07-23 19:23:13 UTC
Description of problem:

Upstream ticket description:

"Recently, when trying to create/remove massive files/dirs(7x10^6) within a common directory, we found that as the creations go on, the time to create a single file/dir increases. After a series analysis, we found that this is due to the traversal of dirfrags the number of which increases exponentially as the number of subdirs/subfiles increases."

Comment 10 errata-xmlrpc 2018-08-09 18:27:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2375


Note You need to log in before you can comment on or make changes to this bug.